org.scalatest.prop.Configuration

# MaxSize

#### case class MaxSize (value: Int) extends PropertyCheckConfigParam with Product with Serializable

A `PropertyCheckConfigParam` that specifies the maximum size parameter to provide to ScalaCheck, which it will use when generating objects for which size matters (such as strings or lists).

Note that the maximum size should be greater than or equal to the minimum size. This requirement is enforced by the `PropertyCheckConfig` constructor and the `forAll` methods of traits `PropertyChecks` and `Checkers`. In other words, it is enforced at the point both a maximum and minimum size are provided together.

Linear Supertypes
Serializable, Serializable, Product, Equals, PropertyCheckConfigParam, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. MaxSize
2. Serializable
3. Serializable
4. Product
5. Equals
6. PropertyCheckConfigParam
7. AnyRef
8. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new MaxSize (value: Int)

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def canEqual (arg0: Any): Boolean

   Definition Classes
     MaxSize → Equals

8. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

9. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

10. #### def equals (arg0: Any): Boolean

    Definition Classes
      MaxSize → Equals → AnyRef → Any

11. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

12. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

13. #### def hashCode (): Int

    Definition Classes
      MaxSize → AnyRef → Any

14. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

15. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def productArity : Int

    Definition Classes
      MaxSize → Product

19. #### def productElement (arg0: Int): Any

    Definition Classes
      MaxSize → Product

20. #### def productIterator : Iterator[Any]

    Definition Classes
      Product

21. #### def productPrefix : String

    Definition Classes
      MaxSize → Product

22. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

23. #### def toString (): String

    Definition Classes
      MaxSize → AnyRef → Any

24. #### val value : Int

25. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

26. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

27. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

28. #### def productElements : Iterator[Any]

    Definition Classes
      Product
    Annotations
      @deprecated
    Deprecated

      use productIterator instead

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from PropertyCheckConfigParam

### Inherited from AnyRef

### Inherited from Any